tt_pattern_address_add(library call)

NAME
tt_pattern_address_add — add a value to the address field for a pattern

SYNOPSIS

#include &<Tt/tt_c.h>
Tt_status tt_pattern_address_add(
Tt_pattern p,
Tt_address d);

DESCRIPTION

The tt_pattern_address_add function adds a value to the address field for the specified pattern.

The p argument is a unique handle for a message pattern. This handle is returned after a tt_pattern_create(3) call has been made.

The d argument specifies which pattern attributes form the address that messages will be matched against. The following values are defined:

TT_HANDLER
    The message is addressed to a specific handler that can perform this operation with these arguments.

TT_OBJECT
    The message is addressed to a specific object that can perform this operation with these arguments.

TT_OTYPE
    The message is addressed to the type of object that can perform this operation with these arguments.

TT_PROCEDURE
    The message is addressed to any process that can perform this operation with these arguments.

RETURN VALUE

Upon successful completion, the tt_pattern_address_add function returns the status of the operation as one of the following Tt_status values:

TT_OK
    The operation completed successfully.

TT_ERR_NOMP
    The ttsession(1) process is not running and the ToolTalk service cannot restart it.

TT_ERR_POINTER
    The pointer passed does not point to an object of the correct type for this operation.

SEE ALSO

Tt/tt_c.h - Tttt_c(5), tt_pattern_create(3).